# azure.mgmt.servicebus.models module

exception `azure.mgmt.servicebus.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.servicebus.models.``TrackedResource`(*, location: str, tags=None, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_py3.Resource`

  The Resource definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Required. The Geo-location where the resource lives
  - tags (dict[str, str]) – Resource tags

class `azure.mgmt.servicebus.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  The Resource definition for other than namespace.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

class `azure.mgmt.servicebus.models.``ResourceNamespacePatch`(*, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_py3.Resource`

  The Resource definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict[str, str]) – Resource tags

class `azure.mgmt.servicebus.models.``SBSku`(*, name, tier=None, capacity: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  SKU of the namespace.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str or SkuName) – Required. Name of this SKU. Possible values include: ‘Basic’, ‘Standard’, ‘Premium’
  - tier (str or SkuTier) – The billing tier of this particular SKU. Possible values include: ‘Basic’, ‘Standard’, ‘Premium’
  - capacity (int) – The specified messaging units for the tier. For Premium tier, capacity are 1,2 and 4.

class `azure.mgmt.servicebus.models.``SBNamespace`(*, location: str, tags=None, sku=None, **kwargs)

  Bases: `azure.mgmt.servicebus.models.tracked_resource_py3.TrackedResource`

  Description of a namespace resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - provisioning_state (str) – Provisioning state of the namespace.
  - created_at (datetime) – The time the namespace was created.
  - updated_at (datetime) – The time the namespace was updated.
  - service_bus_endpoint (str) – Endpoint you can use to perform Service Bus operations.
  - metric_id (str) – Identifier for Azure Insights metrics

  Parameters:

  - location (str) – Required. The Geo-location where the resource lives
  - tags (dict[str, str]) – Resource tags
  - sku (SBSku) – Properties of Sku

class `azure.mgmt.servicebus.models.``SBNamespaceUpdateParameters`(*, location: str = None, tags=None, sku=None, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_namespace_patch_py3.ResourceNamespacePatch`

  Description of a namespace resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - provisioning_state (str) – Provisioning state of the namespace.
  - created_at (datetime) – The time the namespace was created.
  - updated_at (datetime) – The time the namespace was updated.
  - service_bus_endpoint (str) – Endpoint you can use to perform Service Bus operations.
  - metric_id (str) – Identifier for Azure Insights metrics

  Parameters:

  - location (str) – Resource location
  - tags (dict[str, str]) – Resource tags
  - sku (SBSku) – Properties of Sku

class `azure.mgmt.servicebus.models.``SBNamespaceMigrate`(*, target_namespace_type, **kwargs)

  Bases: `msrest.serialization.Model`

  Namespace Migrate Object.

  All required parameters must be populated in order to send to Azure.

  Parameters: | target_namespace_type (str or NameSpaceType) – Required. Type of namespaces. Possible values include: ‘Messaging’, ‘NotificationHub’, ‘Mixed’, ‘EventHub’, ‘Relay’

class `azure.mgmt.servicebus.models.``SBAuthorizationRule`(*, rights, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_py3.Resource`

  Description of a namespace authorization rule.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters: | rights (list[str or AccessRights]) – Required. The rights associated with the rule.

class `azure.mgmt.servicebus.models.``AuthorizationRuleProperties`(*, rights, **kwargs)

  Bases: `msrest.serialization.Model`

  AuthorizationRule properties.

  All required parameters must be populated in order to send to Azure.

  Parameters: | rights (list[str or AccessRights]) – Required. The rights associated with the rule.

class `azure.mgmt.servicebus.models.``AccessKeys`(**kwargs)

  Bases: `msrest.serialization.Model`

  Namespace/ServiceBus Connection String.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - primary_connection_string (str) – Primary connection string of the created namespace authorization rule.
  - secondary_connection_string (str) – Secondary connection string of the created namespace authorization rule.
  - alias_primary_connection_string (str) – Primary connection string of the alias if GEO DR is enabled
  - alias_secondary_connection_string (str) – Secondary connection string of the alias if GEO DR is enabled
  - primary_key (str) – A base64-encoded 256-bit primary key for signing and validating the SAS token.
  - secondary_key (str) – A base64-encoded 256-bit primary key for signing and validating the SAS token.
  - key_name (str) – A string that describes the authorization rule.

class `azure.mgmt.servicebus.models.``RegenerateAccessKeyParameters`(*, key_type, key: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters supplied to the Regenerate Authorization Rule operation, specifies which key needs to be reset.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key_type (str or KeyType) – Required. The access key to regenerate. Possible values include: ‘PrimaryKey’, ‘SecondaryKey’
  - key (str) – Optional, if the key value provided, is reset for KeyType value or autogenerate Key value set for keyType

class `azure.mgmt.servicebus.models.``MessageCountDetails`(**kwargs)

  Bases: `msrest.serialization.Model`

  Message Count Details.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - active_message_count (long) – Number of active messages in the queue, topic, or subscription.
  - dead_letter_message_count (long) – Number of messages that are dead lettered.
  - scheduled_message_count (long) – Number of scheduled messages.
  - transfer_message_count (long) – Number of messages transferred to another queue, topic, or subscription.
  - transfer_dead_letter_message_count (long) – Number of messages transferred into dead letters.

class `azure.mgmt.servicebus.models.``SBQueue`(*, lock_duration=None, max_size_in_megabytes: int = None, requires_duplicate_detection: bool = None, requires_session: bool = None, default_message_time_to_live=None, dead_lettering_on_message_expiration: bool = None, duplicate_detection_history_time_window=None, max_delivery_count: int = None, status=None, enable_batched_operations: bool = None, auto_delete_on_idle=None, enable_partitioning: bool = None, enable_express: bool = None, forward_to: str = None, forward_dead_lettered_messages_to: str = None, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_py3.Resource`

  Description of queue Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - count_details (MessageCountDetails) – Message Count Details.
  - created_at (datetime) – The exact time the message was created.
  - updated_at (datetime) – The exact time the message was updated.
  - accessed_at (datetime) – Last time a message was sent, or the last time there was a receive request to this queue.
  - size_in_bytes (long) – The size of the queue, in bytes.
  - message_count (long) – The number of messages in the queue.

  Parameters:

  - lock_duration (timedelta) – ISO 8601 timespan duration of a peek-lock; that is, the amount of time that the message is locked for other receivers. The maximum value for LockDuration is 5 minutes; the default value is 1 minute.
  - max_size_in_megabytes (int) – The maximum size of the queue in megabytes, which is the size of memory allocated for the queue. Default is 1024.
  - requires_duplicate_detection (bool) – A value indicating if this queue requires duplicate detection.
  - requires_session (bool) – A value that indicates whether the queue supports the concept of sessions.
  - default_message_time_to_live (timedelta) – ISO 8601 default message timespan to live value. This is the duration after which the message expires, starting from when the message is sent to Service Bus. This is the default value used when TimeToLive is not set on a message itself.
  - dead_lettering_on_message_expiration (bool) – A value that indicates whether this queue has dead letter support when a message expires.
  - duplicate_detection_history_time_window (timedelta) – ISO 8601 timeSpan structure that defines the duration of the duplicate detection history. The default value is 10 minutes.
  - max_delivery_count (int) – The maximum delivery count. A message is automatically deadlettered after this number of deliveries. default value is 10.
  - status (str or EntityStatus) – Enumerates the possible values for the status of a messaging entity. Possible values include: ‘Active’, ‘Disabled’, ‘Restoring’, ‘SendDisabled’, ‘ReceiveDisabled’, ‘Creating’, ‘Deleting’, ‘Renaming’, ‘Unknown’
  - enable_batched_operations (bool) – Value that indicates whether server-side batched operations are enabled.
  - auto_delete_on_idle (timedelta) – ISO 8061 timeSpan idle interval after which the queue is automatically deleted. The minimum duration is 5 minutes.
  - enable_partitioning (bool) – A value that indicates whether the queue is to be partitioned across multiple message brokers.
  - enable_express (bool) – A value that indicates whether Express Entities are enabled. An express queue holds a message in memory temporarily before writing it to persistent storage.
  - forward_to (str) – Queue/Topic name to forward the messages
  - forward_dead_lettered_messages_to (str) – Queue/Topic name to forward the Dead Letter message

class `azure.mgmt.servicebus.models.``SBTopic`(*, default_message_time_to_live=None, max_size_in_megabytes: int = None, requires_duplicate_detection: bool = None, duplicate_detection_history_time_window=None, enable_batched_operations: bool = None, status=None, support_ordering: bool = None, auto_delete_on_idle=None, enable_partitioning: bool = None, enable_express: bool = None, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_py3.Resource`

  Description of topic resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - size_in_bytes (long) – Size of the topic, in bytes.
  - created_at (datetime) – Exact time the message was created.
  - updated_at (datetime) – The exact time the message was updated.
  - accessed_at (datetime) – Last time the message was sent, or a request was received, for this topic.
  - subscription_count (int) – Number of subscriptions.
  - count_details (MessageCountDetails) – Message count details

  Parameters:

  - default_message_time_to_live (timedelta) – ISO 8601 Default message timespan to live value. This is the duration after which the message expires, starting from when the message is sent to Service Bus. This is the default value used when TimeToLive is not set on a message itself.
  - max_size_in_megabytes (int) – Maximum size of the topic in megabytes, which is the size of the memory allocated for the topic. Default is 1024.
  - requires_duplicate_detection (bool) – Value indicating if this topic requires duplicate detection.
  - duplicate_detection_history_time_window (timedelta) – ISO8601 timespan structure that defines the duration of the duplicate detection history. The default value is 10 minutes.
  - enable_batched_operations (bool) – Value that indicates whether server-side batched operations are enabled.
  - status (str or EntityStatus) – Enumerates the possible values for the status of a messaging entity. Possible values include: ‘Active’, ‘Disabled’, ‘Restoring’, ‘SendDisabled’, ‘ReceiveDisabled’, ‘Creating’, ‘Deleting’, ‘Renaming’, ‘Unknown’
  - support_ordering (bool) – Value that indicates whether the topic supports ordering.
  - auto_delete_on_idle (timedelta) – ISO 8601 timespan idle interval after which the topic is automatically deleted. The minimum duration is 5 minutes.
  - enable_partitioning (bool) – Value that indicates whether the topic to be partitioned across multiple message brokers is enabled.
  - enable_express (bool) – Value that indicates whether Express Entities are enabled. An express topic holds a message in memory temporarily before writing it to persistent storage.

class `azure.mgmt.servicebus.models.``SBSubscription`(*, lock_duration=None, requires_session: bool = None, default_message_time_to_live=None, dead_lettering_on_filter_evaluation_exceptions: bool = None, dead_lettering_on_message_expiration: bool = None, duplicate_detection_history_time_window=None, max_delivery_count: int = None, status=None, enable_batched_operations: bool = None, auto_delete_on_idle=None, forward_to: str = None, forward_dead_lettered_messages_to: str = None, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_py3.Resource`

  Description of subscription resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - message_count (long) – Number of messages.
  - created_at (datetime) – Exact time the message was created.
  - accessed_at (datetime) – Last time there was a receive request to this subscription.
  - updated_at (datetime) – The exact time the message was updated.
  - count_details (MessageCountDetails) – Message count details

  Parameters:

  - lock_duration (timedelta) – ISO 8061 lock duration timespan for the subscription. The default value is 1 minute.
  - requires_session (bool) – Value indicating if a subscription supports the concept of sessions.
  - default_message_time_to_live (timedelta) – ISO 8061 Default message timespan to live value. This is the duration after which the message expires, starting from when the message is sent to Service Bus. This is the default value used when TimeToLive is not set on a message itself.
  - dead_lettering_on_filter_evaluation_exceptions (bool) – Value that indicates whether a subscription has dead letter support on filter evaluation exceptions.
  - dead_lettering_on_message_expiration (bool) – Value that indicates whether a subscription has dead letter support when a message expires.
  - duplicate_detection_history_time_window (timedelta) – ISO 8601 timeSpan structure that defines the duration of the duplicate detection history. The default value is 10 minutes.
  - max_delivery_count (int) – Number of maximum deliveries.
  - status (str or EntityStatus) – Enumerates the possible values for the status of a messaging entity. Possible values include: ‘Active’, ‘Disabled’, ‘Restoring’, ‘SendDisabled’, ‘ReceiveDisabled’, ‘Creating’, ‘Deleting’, ‘Renaming’, ‘Unknown’
  - enable_batched_operations (bool) – Value that indicates whether server-side batched operations are enabled.
  - auto_delete_on_idle (timedelta) – ISO 8061 timeSpan idle interval after which the topic is automatically deleted. The minimum duration is 5 minutes.
  - forward_to (str) – Queue/Topic name to forward the messages
  - forward_dead_lettered_messages_to (str) – Queue/Topic name to forward the Dead Letter message

class `azure.mgmt.servicebus.models.``CheckNameAvailability`(*, name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Description of a Check Name availability request properties.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str) – Required. The Name to check the namespace name availability and The namespace name can contain only letters, numbers, and hyphens. The namespace must start with a letter, and it must end with a letter or number.

class `azure.mgmt.servicebus.models.``CheckNameAvailabilityResult`(*, name_available: bool = None, reason=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Description of a Check Name availability request properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | message (str) – The detailed info regarding the reason associated with the namespace.

  Parameters:

  - name_available (bool) – Value indicating namespace is availability, true if the namespace is available; otherwise, false.
  - reason (str or UnavailableReason) – The reason for unavailability of a namespace. Possible values include: ‘None’, ‘InvalidName’, ‘SubscriptionIsDisabled’, ‘NameInUse’, ‘NameInLockdown’, ‘TooManyNamespaceInCurrentSubscription’

class `azure.mgmt.servicebus.models.``OperationDisplay`(**kwargs)

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - provider (str) – Service provider: Microsoft.ServiceBus
  - resource (str) – Resource on which the operation is performed: Invoice, etc.
  - operation (str) – Operation type: Read, write, delete, etc.

class `azure.mgmt.servicebus.models.``Operation`(*, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A ServiceBus REST API operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | name (str) – Operation name: {provider}/{resource}/{operation}
  Parameters: | display (OperationDisplay) – The object that represents the operation.

class `azure.mgmt.servicebus.models.``ErrorResponse`(*, code: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error response indicates ServiceBus service is not able to process the incoming request. The reason is provided in the error message.

  Parameters:

  - code (str) – Error code.
  - message (str) – Error message indicating why the operation failed.

class `azure.mgmt.servicebus.models.``Action`(*, sql_expression: str = None, compatibility_level: int = None, requires_preprocessing: bool = True, **kwargs)

  Bases: `msrest.serialization.Model`

  Represents the filter actions which are allowed for the transformation of a message that have been matched by a filter expression.

  Parameters:

  - sql_expression (str) – SQL expression. e.g. MyProperty=’ABC’
  - compatibility_level (int) – This property is reserved for future use. An integer value showing the compatibility level, currently hard-coded to 20.
  - requires_preprocessing (bool) – Value that indicates whether the rule action requires preprocessing. Default value: True .

class `azure.mgmt.servicebus.models.``SqlFilter`(*, sql_expression: str = None, requires_preprocessing: bool = True, **kwargs)

  Bases: `msrest.serialization.Model`

  Represents a filter which is a composition of an expression and an action that is executed in the pub/sub pipeline.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - sql_expression (str) – The SQL expression. e.g. MyProperty=’ABC’
  - requires_preprocessing (bool) – Value that indicates whether the rule action requires preprocessing. Default value: True .

  Variables: | compatibility_level (int) – This property is reserved for future use. An integer value showing the compatibility level, currently hard-coded to 20. Default value: 20 .

class `azure.mgmt.servicebus.models.``CorrelationFilter`(*, properties=None, correlation_id: str = None, message_id: str = None, to: str = None, reply_to: str = None, label: str = None, session_id: str = None, reply_to_session_id: str = None, content_type: str = None, requires_preprocessing: bool = True, **kwargs)

  Bases: `msrest.serialization.Model`

  Represents the correlation filter expression.

  Parameters:

  - properties (dict[str, str]) – dictionary object for custom filters
  - correlation_id (str) – Identifier of the correlation.
  - message_id (str) – Identifier of the message.
  - to (str) – Address to send to.
  - reply_to (str) – Address of the queue to reply to.
  - label (str) – Application specific label.
  - session_id (str) – Session identifier.
  - reply_to_session_id (str) – Session identifier to reply to.
  - content_type (str) – Content type of the message.
  - requires_preprocessing (bool) – Value that indicates whether the rule action requires preprocessing. Default value: True .

class `azure.mgmt.servicebus.models.``Rule`(*, action=None, filter_type=None, sql_filter=None, correlation_filter=None, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_py3.Resource`

  Description of Rule Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - action (Action) – Represents the filter actions which are allowed for the transformation of a message that have been matched by a filter expression.
  - filter_type (str or FilterType) – Filter type that is evaluated against a BrokeredMessage. Possible values include: ‘SqlFilter’, ‘CorrelationFilter’
  - sql_filter (SqlFilter) – Properties of sqlFilter
  - correlation_filter (CorrelationFilter) – Properties of correlationFilter

class `azure.mgmt.servicebus.models.``SqlRuleAction`(*, sql_expression: str = None, compatibility_level: int = None, requires_preprocessing: bool = True, **kwargs)

  Bases: `azure.mgmt.servicebus.models.action_py3.Action`

  Represents set of actions written in SQL language-based syntax that is performed against a ServiceBus.Messaging.BrokeredMessage .

  Parameters:

  - sql_expression (str) – SQL expression. e.g. MyProperty=’ABC’
  - compatibility_level (int) – This property is reserved for future use. An integer value showing the compatibility level, currently hard-coded to 20.
  - requires_preprocessing (bool) – Value that indicates whether the rule action requires preprocessing. Default value: True .

class `azure.mgmt.servicebus.models.``PremiumMessagingRegionsProperties`(**kwargs)

  Bases: `msrest.serialization.Model`

  PremiumMessagingRegionsProperties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - code (str) – Region code
  - full_name (str) – Full name of the region

class `azure.mgmt.servicebus.models.``PremiumMessagingRegions`(*, location: str = None, tags=None, properties=None, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_namespace_patch_py3.ResourceNamespacePatch`

  Premium Messaging Region.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict[str, str]) – Resource tags
  - properties (PremiumMessagingRegionsProperties) –

class `azure.mgmt.servicebus.models.``Destination`(*, name: str = None, storage_account_resource_id: str = None, blob_container: str = None, archive_name_format: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Capture storage details for capture description.

  Parameters:

  - name (str) – Name for capture destination
  - storage_account_resource_id (str) – Resource id of the storage account to be used to create the blobs
  - blob_container (str) – Blob container Name
  - archive_name_format (str) – Blob naming convention for archive, e.g. {Namespace}/{EventHub}/{PartitionId}/{Year}/{Month}/{Day}/{Hour}/{Minute}/{Second}. Here all the parameters (Namespace,EventHub .. etc) are mandatory irrespective of order

class `azure.mgmt.servicebus.models.``CaptureDescription`(*, enabled: bool = None, encoding=None, interval_in_seconds: int = None, size_limit_in_bytes: int = None, destination=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties to configure capture description for eventhub.

  Parameters:

  - enabled (bool) – A value that indicates whether capture description is enabled.
  - encoding (str or EncodingCaptureDescription) – Enumerates the possible values for the encoding format of capture description. Possible values include: ‘Avro’, ‘AvroDeflate’
  - interval_in_seconds (int) – The time window allows you to set the frequency with which the capture to Azure Blobs will happen, value should between 60 to 900 seconds
  - size_limit_in_bytes (int) – The size window defines the amount of data built up in your Event Hub before an capture operation, value should be between 10485760 and 524288000 bytes
  - destination (Destination) – Properties of Destination where capture will be stored. (Storage Account, Blob Names)

class `azure.mgmt.servicebus.models.``Eventhub`(*, message_retention_in_days: int = None, partition_count: int = None, status=None, capture_description=None, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_py3.Resource`

  Single item in List or Get Event Hub operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - partition_ids (list[str]) – Current number of shards on the Event Hub.
  - created_at (datetime) – Exact time the Event Hub was created.
  - updated_at (datetime) – The exact time the message was updated.

  Parameters:

  - message_retention_in_days (long) – Number of days to retain the events for this Event Hub, value should be 1 to 7 days
  - partition_count (long) – Number of partitions created for the Event Hub, allowed values are from 1 to 32 partitions.
  - status (str or EntityStatus) – Enumerates the possible values for the status of the Event Hub. Possible values include: ‘Active’, ‘Disabled’, ‘Restoring’, ‘SendDisabled’, ‘ReceiveDisabled’, ‘Creating’, ‘Deleting’, ‘Renaming’, ‘Unknown’
  - capture_description (CaptureDescription) – Properties of capture description

class `azure.mgmt.servicebus.models.``ArmDisasterRecovery`(*, partner_namespace: str = None, alternate_name: str = None, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_py3.Resource`

  Single item in List or Get Alias(Disaster Recovery configuration) operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - provisioning_state (str or ProvisioningStateDR) – Provisioning state of the Alias(Disaster Recovery configuration) - possible values ‘Accepted’ or ‘Succeeded’ or ‘Failed’. Possible values include: ‘Accepted’, ‘Succeeded’, ‘Failed’
  - pending_replication_operations_count (long) – Number of entities pending to be replicated.
  - role (str or RoleDisasterRecovery) – role of namespace in GEO DR - possible values ‘Primary’ or ‘PrimaryNotReplicating’ or ‘Secondary’. Possible values include: ‘Primary’, ‘PrimaryNotReplicating’, ‘Secondary’

  Parameters:

  - partner_namespace (str) – ARM Id of the Primary/Secondary eventhub namespace name, which is part of GEO DR pairing
  - alternate_name (str) – Primary/Secondary eventhub namespace name, which is part of GEO DR pairing

class `azure.mgmt.servicebus.models.``MigrationConfigProperties`(*, target_namespace: str, post_migration_name: str, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_py3.Resource`

  Single item in List or Get Migration Config operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - provisioning_state (str) – Provisioning state of Migration Configuration
  - pending_replication_operations_count (long) – Number of entities pending to be replicated.
  - migration_state (str) – State in which Standard to Premium Migration is, possible values : Unknown, Reverting, Completing, Initiating, Syncing, Active

  Parameters:

  - target_namespace (str) – Required. Existing premium Namespace ARM Id name which has no entities, will be used for migration
  - post_migration_name (str) – Required. Name to access Standard Namespace after migration

class `azure.mgmt.servicebus.models.``Subnet`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties supplied for Subnet.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. Resource ID of Virtual Network Subnet

class `azure.mgmt.servicebus.models.``NWRuleSetIpRules`(*, ip_mask: str = None, action='Allow', **kwargs)

  Bases: `msrest.serialization.Model`

  Description of NetWorkRuleSet - IpRules resource.

  Parameters:

  - ip_mask (str) – IP Mask
  - action (str or NetworkRuleIPAction) – The IP Filter Action. Possible values include: ‘Allow’. Default value: “Allow” .

class `azure.mgmt.servicebus.models.``NWRuleSetVirtualNetworkRules`(*, subnet=None, ignore_missing_vnet_service_endpoint: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Description of VirtualNetworkRules - NetworkRules resource.

  Parameters:

  - subnet (Subnet) – Subnet properties
  - ignore_missing_vnet_service_endpoint (bool) – Value that indicates whether to ignore missing VNet Service Endpoint

class `azure.mgmt.servicebus.models.``NetworkRuleSet`(*, default_action=None, virtual_network_rules=None, ip_rules=None, **kwargs)

  Bases: `azure.mgmt.servicebus.models.resource_py3.Resource`

  Description of NetworkRuleSet resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - default_action (str or DefaultAction) – Default Action for Network Rule Set. Possible values include: ‘Allow’, ‘Deny’
  - virtual_network_rules (list[NWRuleSetVirtualNetworkRules]) – List VirtualNetwork Rules
  - ip_rules (list[NWRuleSetIpRules]) – List of IpRules

class `azure.mgmt.servicebus.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.servicebus.models.``SBNamespacePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SBNamespace` object

class `azure.mgmt.servicebus.models.``SBAuthorizationRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SBAuthorizationRule` object

class `azure.mgmt.servicebus.models.``ArmDisasterRecoveryPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ArmDisasterRecovery` object

class `azure.mgmt.servicebus.models.``MigrationConfigPropertiesPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `MigrationConfigProperties` object

class `azure.mgmt.servicebus.models.``SBQueuePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SBQueue` object

class `azure.mgmt.servicebus.models.``SBTopicPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SBTopic` object

class `azure.mgmt.servicebus.models.``SBSubscriptionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SBSubscription` object

class `azure.mgmt.servicebus.models.``RulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Rule` object

class `azure.mgmt.servicebus.models.``PremiumMessagingRegionsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `PremiumMessagingRegions` object

class `azure.mgmt.servicebus.models.``EventhubPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Eventhub` object

class `azure.mgmt.servicebus.models.``SkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `premium` = 'Premium'
  `standard` = 'Standard'

class `azure.mgmt.servicebus.models.``SkuTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `premium` = 'Premium'
  `standard` = 'Standard'

class `azure.mgmt.servicebus.models.``NameSpaceType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `event_hub` = 'EventHub'
  `messaging` = 'Messaging'
  `mixed` = 'Mixed'
  `notification_hub` = 'NotificationHub'
  `relay` = 'Relay'

class `azure.mgmt.servicebus.models.``AccessRights`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `listen` = 'Listen'
  `manage` = 'Manage'
  `send` = 'Send'

class `azure.mgmt.servicebus.models.``KeyType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `primary_key` = 'PrimaryKey'
  `secondary_key` = 'SecondaryKey'

class `azure.mgmt.servicebus.models.``EntityStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `active` = 'Active'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `disabled` = 'Disabled'
  `receive_disabled` = 'ReceiveDisabled'
  `renaming` = 'Renaming'
  `restoring` = 'Restoring'
  `send_disabled` = 'SendDisabled'
  `unknown` = 'Unknown'

class `azure.mgmt.servicebus.models.``UnavailableReason`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `invalid_name` = 'InvalidName'
  `name_in_lockdown` = 'NameInLockdown'
  `name_in_use` = 'NameInUse'
  `none` = 'None'
  `subscription_is_disabled` = 'SubscriptionIsDisabled'
  `too_many_namespace_in_current_subscription` = 'TooManyNamespaceInCurrentSubscription'

class `azure.mgmt.servicebus.models.``FilterType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `correlation_filter` = 'CorrelationFilter'
  `sql_filter` = 'SqlFilter'

class `azure.mgmt.servicebus.models.``EncodingCaptureDescription`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `avro` = 'Avro'
  `avro_deflate` = 'AvroDeflate'

class `azure.mgmt.servicebus.models.``ProvisioningStateDR`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `accepted` = 'Accepted'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'

class `azure.mgmt.servicebus.models.``RoleDisasterRecovery`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `primary` = 'Primary'
  `primary_not_replicating` = 'PrimaryNotReplicating'
  `secondary` = 'Secondary'

class `azure.mgmt.servicebus.models.``NetworkRuleIPAction`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'

class `azure.mgmt.servicebus.models.``DefaultAction`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'
  `deny` = 'Deny'